#include "./hederi/multi_list.h"
#include "./hederi/meni.h"
#include "./hederi/meni_dug.h"
#include "./hederi/meni_dugme_izvestac.h"
#include "./hederi/meni_dugme_pratilac.h"
#include "./hederi/meni_dialog.h"

#include <string>
#include <iostream>
using namespace std;

class Meni_dugme_kraj:public Meni_dugme{
public:
    Meni_dugme_kraj(char kom):Meni_dugme("nazad",kom){}
    ~Meni_dugme_kraj(){}
    void radi(){}
};


static const string default_ip("localhost");
static const unsigned default_port(3000);

int main(){
//	cin.setf(ios::skipws);
	string ip=default_ip;
	unsigned port=default_port;
	
	Meni_dialog_string* dialog_ip=new Meni_dialog_string("ip","unesite ip",ip,'1');
	Meni_dialog_int* dialog_port=new Meni_dialog_int("port","unesite port",port,'2',1000,8000);
	Meni_dugme_kraj kraj('k');
	
	Meni *meni=(new Meni("Logovanje",'s',&kraj))
	->dodaj((new Meni("Konekcija",'1',&kraj))
		->dodaj(dialog_ip)
		->dodaj(dialog_port)
	)    
	->dodaj((new Meni_dugme_Izvestac("Izvestac",'2',ip,port))
	)
	->dodaj((new Meni_dugme_Pratilac("Pratilac",'3',ip,port))
	);
	
	meni->radi();
	delete meni;
	cout<<"izvestac je zavrsio\n";
	return 0;
}
