#ifndef _izvestac_poruke_h_
#define _izvestac_poruke_h_

#include <vector>
#include <string>
#include "Semaphore.h"
#include "pratilac_poruke.h"
#include "ServerSocketData.h"
using namespace std;


class Izvestac_poruke{
	const string naslov;
	vector<Pratilac_poruke*> pratioci;
	vector<Poruka> poruke;
	ServerSocketData& sock;
	Semaphore mutex;
	void nova_poruka(string s);
public:
	Izvestac_poruke(ServerSocketData&,const string&);
	void novi_pratilac(Pratilac_poruke*);
	void prenos();
	friend ostream& operator<<(ostream&,const Izvestac_poruke&);
	friend ofstream& operator<<(ofstream&,const Izvestac_poruke&);
	const string& uzmi_naslov() const;
};

#endif
