#ifndef _pratilac_poruke_h_
#define _pratilac_poruke_h_

#include <vector>
#include <queue>
#include <string>
#include "Semaphore.h"
#include "ServerSocketData.h"
#include "poruka.h"
using namespace std;

class Pratilac_poruke{
	queue<Poruka> poruke;
	Semaphore mutex,count;
	ServerSocketData& sock;
	Poruka poruka();
	unsigned broj_izvestaca;
public:
	Pratilac_poruke(ServerSocketData&);
	void stare_poruke(const vector<Poruka>&);
	void nova_poruka(Poruka);
	void prenos(const vector<string>&);
};

#endif
