#include <string>
#include <vector>
#include "./hederi/konverzije.h"

using namespace std;

Greska::Greska(){}
Greska::Greska(const string &st):s(st){}
const string& Greska::what()const{
	return s;
}

bool str_uporedi(string &st1,const char* st2){
	return strcmp(st1.c_str(),st2);
}

string unsignToString(unsigned u){
    string s;
    do{
        char c=(u%10)+'0';
	u/=10;
        s=c+s;
    }while(u);
    return s;
}    
unsigned stringToUnsigned(string s){
	unsigned u=0;
	int j;
	for(int i=0;i<s.size();i++){
		j=s[i]-'0';
		if (j<0 || j>9) break;//throw Greska();
		u=u*10+j;
	}
	return u;
}    
int stringToInt(string s){
	int u=0;
	int j;
	for(int i=s.size()-1;i>=0;i--){
		if (s[i]=='\n') break;
		j=s[i]-'0';
		if (j<0 || j>9) return -1;
		u=u*10+j;
	}
	return u;
}    

char* stringToCharP(string s){
	char * st=new char[30];
	int i=0;
	for(;i<s.size();i++)
		st[i]=s[i];
	st[i]=0;
	return st;
}

string boolToStr(bool b){
	if (b) return "true";
	else return "false";
}

bool strToBool(string& s){
	if (str_uporedi(s,"true")) return true;
	if (str_uporedi(s,"false")) return false;
	throw Greska();
}

vector<unsigned> vboolToVunsign(const vector<bool>& vekt){
	vector<unsigned> v;
	unsigned duz=vekt.size();
	for(unsigned i=0;i<duz;i++)
		if (vekt[i]) v.push_back(i);
	return v;
}
/*
ostream& operator<<(ostream& dat,const vector<string>& vekt){
	int duz=vekt.size();
	for(int i=0;i<duz;i++)
		dat<<vekt[i]<<endl;
	return dat;
}

ostream& operator<<(ostream& dat,const vector<unsigned>& vekt){
	int duz=vekt.size();
	for(int i=0;i<duz;i++)
		dat<<vekt[i]<<endl;
	return dat;
}
*/
