#include "./hederi/poruka.h" 

Poruka::Poruka(const string& n,const string& p):nasl(n),por(p){}
	
const string& Poruka::poruka()const{
	return por;
}

const string& Poruka::naslov()const{
	return nasl;
}
string Poruka::toString()const{
	return nasl+'^'+por;
}

Poruka Poruka::toPoruka(const string &s){
	int k=s.find('^');
	string nasl=s.substr(0,k);
	string por=s.substr(k+1);
	return Poruka(nasl,por);
}
/*	
const ServerSocketData& operator<<(const ServerSocketData &dat,const Poruka& poruka){
	dat<<poruka,toString();
}

ServerSocketData& operator>>(ServerSocketData &dat,Poruka&);
*/
ostream& operator<<(ostream &dat,const Poruka& por){
	dat<<por.naslov()<<" :\n";
	dat<<por.poruka();
	return dat;
}

ofstream& operator<<(ofstream& dat,const Poruka& por){
	dat<<por.naslov()<<" :\n";
	dat<<por.poruka();
	return dat;
}
