#include "./hederi/pratilac_poruke.h"
#include "./hederi/konverzije.h"

Pratilac_poruke::Pratilac_poruke(ServerSocketData& s):sock(s),mutex(1),count(0),broj_izvestaca(0){}

void Pratilac_poruke::stare_poruke(const vector<Poruka>& vekt){
//	count.wait();
	mutex.wait();
	int duz=vekt.size();
	for (int i=0;i<duz;i++){
		poruke.push(vekt[i]);
		count.signal();
	}
//	Poruka s=poruke.front();
//	poruke.pop();
	mutex.signal();
//	return s;
}

void Pratilac_poruke::nova_poruka(Poruka p){
	mutex.wait();
	poruke.push(p);
	mutex.signal();
	count.signal();
}

Poruka Pratilac_poruke::poruka(){
	count.wait();
	mutex.wait();
	Poruka s=poruke.front();
	poruke.pop();
	mutex.signal();
	return s;
}

void Pratilac_poruke::prenos(const vector<string>& poc){
//	sock<<string("Izabrani aktivni izvestaci:\n");
	sock<<poc;
	broj_izvestaca=poc.size();
//	sock<<string("Pocetak prenosa:\n");
	while(true){
		if (broj_izvestaca==0) break;
		Poruka por=poruka();
		string s=por.poruka();
//		cout<<s<<endl;
		if (s==str_kraj) {
			broj_izvestaca--;
//			cout<<broj_izvestaca<<endl;
			continue;
		}
		try{
			sock<<por;
		}catch(SocketException e){
			cout<<"pratilac vise ne prati\n";
			break;
		}
	}
	try{
		sock<<Poruka("server",str_kraj);
	}catch(SocketException e){}
//	cout<<"pratilac poruke-kraj prenosa\n";
}
