#include "./hederi/izvestac.h"
#include "./hederi/konverzije.h"
#include <iostream>
using namespace std;

Izvestac izvestac;

Izvestac::Izvestac():mutex(1){}
Izvestac::~Izvestac(){
//	int duz=izvestaci.size();
//	for(int i=0;i<duz;i++)
	for(int i=0;i<100;i++){
		string ime="izvestaj"+unsignToString(i);
		ifstream ulaz(ime.data());
		if (ulaz.is_open()) continue;
		ulaz.close();
		ofstream izlaz(ime.data());
		if (!izlaz.is_open()) continue;
		cout<<"izvestaj: "<<ime<<endl;
		for(vector<Izvestac_poruke*>::const_iterator j=izvestaci.begin();j!=izvestaci.end();j++){
			izlaz<<(**j)<<endl;
//			cout<<(**j)<<endl;
		}
		izlaz.close();
		break;
	}
	for(vector<Izvestac_poruke*>::const_iterator i=izvestaci.begin();i!=izvestaci.end();i++)
		delete *i;
}
void Izvestac::lista(vector<string>& lista1,vector<unsigned>& lista2){
	mutex.wait();
	unsigned duz=izvestaci.size();
	lista1.clear();
	lista2.clear();
	for(unsigned i=0;i<duz;i++){
		if (!izvestaci[i]) continue;
		
		lista1.push_back(izvestaci[i]->uzmi_naslov());
		lista2.push_back(i);
	}
	mutex.signal();
}
int Izvestac::prijava(Izvestac_poruke*p){
	mutex.wait();
	izvestaci.push_back(p);
	int i=izvestaci.size()-1;
	mutex.signal();
	return i;
}
void Izvestac::odjava(int i){
	mutex.wait();
//	izvestaci[i]=0;
	mutex.signal();
}
vector<string> Izvestac::prijava(Pratilac_poruke*p,const vector<unsigned> vekt,const vector<unsigned>& kljuc){
	vector<string> poc;
	int duz=vekt.size();
	mutex.wait();
	for(int i=0;i<duz;i++){
		unsigned izb=kljuc[vekt[i]];
		if (!izvestaci[izb]) continue;
	
		izvestaci[izb]->novi_pratilac(p);
		poc.push_back(izvestaci[izb]->uzmi_naslov());
	}
	mutex.signal();
	return poc;
}
int Izvestac::broj_izvestaca(){
	mutex.wait();
	unsigned duz=izvestaci.size();
	mutex.signal();
	return duz;
}
